OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_VertexLoop Class Reference

`#include <StepShape_VertexLoop.hxx>`

Inheritance diagram for StepShape_VertexLoop:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_VertexLoop ()
| Returns a VertexLoop .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_Vertex)&aLoopVertex)
Standard_EXPORT void | SetLoopVertex (const Handle(StepShape_Vertex)&aLoopVertex)
Standard_EXPORT Handle_StepShape_Vertex | LoopVertex () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepShape_Vertex | loopVertex

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_VertexLoop::StepShape_VertexLoop | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_VertexLoop::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_Loop.

virtual Standard_EXPORT void StepShape_VertexLoop::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_Vertex)& | aLoopVertex
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_VertexLoop::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepShape_Vertex StepShape_VertexLoop::LoopVertex | ( |  | ) | const

Standard_EXPORT void StepShape_VertexLoop::SetLoopVertex | ( | const Handle(StepShape_Vertex)& | aLoopVertex | ) |

## Field Documentation

Handle_StepShape_Vertex StepShape_VertexLoop::loopVertex`[private]`

The documentation for this class was generated from the following file:

- StepShape_VertexLoop.hxx